@echo off
if "%1"=="a" goto start
if "%1"=="A" goto start
if "%1"=="b" goto start
if "%1"=="B" goto start
echo.
echo This copy process needs 2 blank, formatted high-density disks.
echo.
echo The syntax for copying is:
echo %0 A   - to copy to drive A
echo %0 B   - to copy to drive B
echo.
goto exit
:start
echo.
echo This copy process needs 2 blank, formatted high-density disks.
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 1
xcopy ..\cquad\*.exe %1:\cquad\
xcopy ..\cquad\cryppz03.cqp %1:\cquad\
xcopy ..\cquad\cryppz04.cqp %1:\cquad\
xcopy articles\*.* %1:\sdpc114\articles\
xcopy autolog\*.* %1:\sdpc114\autolog\
xcopy hangman\*.* %1:\sdpc114\hangman\
xcopy trivoscr\*.* %1:\sdpc114\trivoscr\
xcopy polyrc\*.* %1:\sdpc114\polyrc\
xcopy *.shl %1:\sdpc114\
xcopy copy114.bat %1:\sdpc114\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
xcopy ..\isstable.dat %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 2
xcopy ..\clipart\14*.pcx %1:\clipart\
xcopy ..\clipart\114*.lst %1:\clipart\
xcopy ..\trivnow\*.exe %1:\trivnow\
xcopy ..\trivnow\people_?.trv %1:\trivnow\
xcopy ..\crosword\*.exe %1:\crosword\
xcopy ..\crosword\master.cwd %1:\crosword\
xcopy articles\*.* %1:\sdpc114\articles\
xcopy *.shl %1:\sdpc114\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
xcopy ..\isstable.dat %1:\
echo.
echo Finished copying SDPC VGA #114 to %1:
echo.
:exit

